# Delete Business Partners

Delete batches of Business Partners by ID or a combination of DataSource and External ID. Maximum of 1000 Business Partners are allowed per batch.
In case only a data source is provided in the request, all Business Partners related to this data source will be deleted, but the data source itself
will not be deleted.

Endpoint: POST /storages/{storageId}/businesspartners/delete
Version: 5
Security: apiKey

## Path parameters:

  - `storageId` (string, required)
    Unique identifier of the Storage.
    Example: "72d6900fce6b326088f5d9d91049e3e6"

## Request fields (application/json):

  - `dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `businessPartners` (array)
    List of Business Partners to be deleted.

  - `businessPartners.id` (string)
    A CDQ ID identifies a business partner uniquely in the context of the Corporate Data League.
    Example: "63e635235c06b7396330fe40"

  - `businessPartners.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `businessPartners.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `featuresOn` (array)
    List of features to be used during delete.
    Enum: "DELETE_BY_EXTERNAL_ID", "DELETE_BUSINESS_PARTNER_DATA", "DELETE_LINKS"

  - `featuresOff` (array)
    [Private Content](# "cdq-badge private-content") List of features to be deactivated during delete.
    Enum: "DELETE_BY_EXTERNAL_ID", "DELETE_BUSINESS_PARTNER_DATA", "DELETE_LINKS"

  - `profile` (string)
    Profile type to be set during to delete.
    Enum: "STANDARD", "FEATURES_OFF"

## Response 200 fields (application/json):

  - `numberOfDeletes` (integer)
    Number of deleted Business Partners.
    Example: "50"

  - `numberOfFailures` (integer)
    Number of failures during deletion.
    Example: "0"

  - `failures` (array)
    List of failures.

  - `failures.id` (string)
    A CDQ ID identifies a business partner uniquely in the context of the Corporate Data League.
    Example: "63e635235c06b7396330fe40"

  - `failures.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `failures.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `failures.message` (string)
    Error message.
    Example: "This record could not be stored due to timeout."


## Response 201 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields
